Skip to main content
POST
/
v2
/
workflow
/
executions
/
cancel
Cancel Execution
curl --request POST \
  --url https://api.velt.dev/v2/workflow/executions/cancel \
  --header 'Content-Type: application/json' \
  --header 'x-velt-api-key: <x-velt-api-key>' \
  --header 'x-velt-auth-token: <x-velt-auth-token>' \
  --data '
{
  "data": {
    "executionId": "<string>",
    "reason": "<string>"
  }
}
'
{
  "result": {
    "cancelled": true,
    "executionId": "exec_1777374504255_xzy43k9q"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.velt.dev/llms.txt

Use this file to discover all available pages before exploring further.

Use this API to cancel a running execution. Terminal executions are a no-op.

Endpoint

POST https://api.velt.dev/v2/workflow/executions/cancel

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Requests

Cancel an execution

{
  "data": {
    "executionId": "exec_1777374504255_xzy43k9q",
    "reason": "Campaign postponed"
  }
}

Response

Success Response

{
  "result": {
    "cancelled": true,
    "executionId": "exec_1777374504255_xzy43k9q"
  }
}

Failure Response

{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "NOT_FOUND"
  }
}
Errors: NOT_FOUND / INVALID_ARGUMENT.
{
  "result": {
    "cancelled": true,
    "executionId": "exec_1777374504255_xzy43k9q"
  }
}